package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.XysCategory;

/**
 * 文章分类Mapper接口
 *
 * @author libao
 * @date 2024-07-25
 */
public interface XysCategoryMapper
{
    /**
     * 查询文章分类
     *
     * @param id 文章分类主键
     * @return 文章分类
     */
    public XysCategory selectXysCategoryById(Long id);

    /**
     * 查询文章分类列表
     *
     * @param xysCategory 文章分类
     * @return 文章分类集合
     */
    public List<XysCategory> selectXysCategoryList(XysCategory xysCategory);

    /**
     * 新增文章分类
     *
     * @param xysCategory 文章分类
     * @return 结果
     */
    public int insertXysCategory(XysCategory xysCategory);

    /**
     * 修改文章分类
     *
     * @param xysCategory 文章分类
     * @return 结果
     */
    public int updateXysCategory(XysCategory xysCategory);

    /**
     * 删除文章分类
     *
     * @param id 文章分类主键
     * @return 结果
     */
    public int deleteXysCategoryById(Long id);

    /**
     * 批量删除文章分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteXysCategoryByIds(Long[] ids);
}
